%{!?upstream_version: %global upstream_version %{version}}

Name:           python-dracclient
Version:        1.6.0
Release:        2%{?dist}
Summary:        Library for managing machines with Dell iDRAC cards.

License:        ASL 2.0
URL:            http://github.com/openstack/%{name}
Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=1.6.0
Patch0001: 0001-Revert-Adjust-whitespace-in-setup.cfg.patch
Patch0002: 0002-Fix-iDRAC-reset.patch
Patch0003: 0003-Filter-unprintable-ASCII-during-enumeration.patch
Patch0004: 0004-Replacing-the-link-in-HACKING.rst.patch
Patch0005: 0005-Change-openstack-dev-to-openstack-discuss.patch
Patch0006: 0006-Fixes-problem-in-is_boss_controller-function.patch
Patch0007: 0007-Add-a-real-time-option-when-commit-RAID-creation-del.patch
Patch0008: 0008-Consider-a-BOSS-card-a-RAID-controller.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-pbr
BuildRequires:  python2-setuptools
# All this is required to run unit tests in check phase
BuildRequires:  python-lxml
BuildRequires:  python2-mock
BuildRequires:  python2-requests
BuildRequires:  python-requests-mock

Requires: python-lxml
Requires: python2-requests

Provides: python-dracclient = %{upstream_version}

%description
Library for managing machines with Dell iDRAC cards.

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1

# Remove bundled egg-info
rm -rf %{name}.egg-info
# Let RPM handle the dependencies
rm -f {test-,}requirements.txt

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
%{__python2} -m unittest discover dracclient.tests

%files
%doc README.rst LICENSE
%{python2_sitelib}/dracclient*
%{python2_sitelib}/python_dracclient*

%changelog
* Mon Jun 03 2019 Steve Linabery <slinaber@redhat.com> 1.6.0-2
- Consider a BOSS card a RAID controller
- Add a real-time option when commit RAID creation/deletion in python-dracclient.
- Fixes problem in is_boss_controller function
- Change openstack-dev to openstack-discuss
- Replacing the link in HACKING.rst
- Filter unprintable ASCII during enumeration
- Fix iDRAC reset
- Revert "Adjust whitespace in setup.cfg"

* Wed Nov 28 2018 Jon Schlueter <jschluet@redhat.com> 1.6.0-1
- Update to 1.6.0 (rhbz#1654289)

* Tue Oct 16 2018 Jon Schlueter <jschluet@redhat.com> 1.5.0-2
- Update to 1.5.0 (rhbz#1639809)
- Add UUID to System object in python-dracclient

* Tue Feb 13 2018 RDO <dev@lists.rdoproject.org> 1.3.1-1
- Update to 1.3.1

